#ifndef __IPR_EVENTLIB_LOADED
#define __IPR_EVENTLIB_LOADED
//
//
// Module:	IPR_EVENTLIB.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains IPROBE event library definitions.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

# define MAX_NAME 50    /* Maximum length of program name or file name */
# include <ctype.h>

extern char prog_name[];  /* Used in error messages */
extern unsigned counter_count;
extern int display_column_help();
extern unsigned int put_element(int *array, int left_width, int left, int right, int element);
extern unsigned int get_element(int *array, int left_width, int left, int right);
extern void fget_cmd_options(char *file, char ***argv, int *argc);
extern void savename(char *name);
extern void fatal(char *msg);
extern void fatalf(char *msg, char *val);
extern void nonfatal(char *msg);
extern void nonfatalf(char *msg, char *val);
extern void *ckalloc(int amount);
extern char *savestr(char *s);
extern void ckfree(void *mem_ptr, int size);
extern void strupper(char * str);
extern void strlower(char * str);
extern void fget_cmd_options(char *file, char ***argv, int *argc);
#endif // ifndef __IPR_EVENTLIB_LOADED
