//
// Program REP for Windows NT
// Module PROCS_H
//
// Copyright:
//  1994 by Digital Equipment Corporation
//
//
//             Patent Pending, Digital Equipment Corporation
//
// Created:
//  Michael Dempsey
//  July 6, 1994
//
// Modification history:
//
#define PIPENAME "\\\\.\\pipe\\procpipe"
#define BUFSIZE 1024 * 16 * 4
#define PATHNAMESIZE 256
#define MSGSIZE 8192

typedef PERF_DATA_BLOCK             PERF_DATA,      *PPERF_DATA;
typedef PERF_OBJECT_TYPE            PERF_OBJECT,    *PPERF_OBJECT;
typedef PERF_INSTANCE_DEFINITION    PERF_INSTANCE,  *PPERF_INSTANCE;
typedef PERF_COUNTER_DEFINITION     PERF_COUNTER,   *PPERF_COUNTER;

typedef struct _pidlist
{
    ULONG   pid;
    CHAR    procname[PATHNAMESIZE];
} PROCESS_LIST, *PPROCESS_LIST;
