#ifndef __EV4_ROUTINES_VMS_LOADED
#define __EV4_ROUTINES_VMS_LOADED 1
/*
 * Module:	EV4_ROUTINES_VMS.H
 * 
 * Version:	X-4
 */

/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1993, 1994 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

/* 
 * Abstract:	This header file contains definitions specific both to EV4
 *		and the OpenVMS EV4 counter support implementation.
 * 
 * Author:		Brian F. Wibecan
 * Creation Date:	16-Dec-1993
 * 
 * Modified by:
 *
 * X-4	BFW1085		Brian F. Wibecan	09-May-1994
 *	Moved assert.h inclusion to OS-specific header files.
 *
 * X-3	BFW1012		Brian F. Wibecan	19-Jan-1994
 *	Added IPL save/restore info.
 *
 * X-2	BFW1011		Brian F. Wibecan	18-Jan-1994
 *	Removed unnecessary header file include statements.
 * 
 * X-1	BFW1000		Brian F. Wibecan	16-Dec-1993
 *	Original version.
 * 
*/

#if defined(__VMS)

#include "evx_vms_osf.h"
#include <builtins.h>
#include <assert.h>

#define RESET_IPL(ignore) __PAL_MTPR_IPL (__PAL_MFPR_IPL ())

#pragma extern_model save
#pragma extern_model strict_refdef "FUNCPTRS"
extern STATUSFUNCPTR
   PtrGetStopCode;
#pragma extern_model restore

#endif /* defined (__VMS) */
#endif /* ifndef __EV4_ROUTINES_VMS_LOADED */
