#ifndef __IPR_API_BASE_DEFS_VMS_LOADED
#define __IPR_API_BASE_DEFS_VMS_LOADED 1
#ifdef __VMS
//
//
// Module:	IPR_API_BASE_DEFS_VMS.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
//
// Abstract:	This header file contains fundamental definitions
//		used in the IPROBE API, specific to OpenVMS.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

#define IPR_IPL_COUNT 32
#define IPR_PRIORITY_COUNT 33

#include <psldef.h>

#define IPR_MODE_KERNEL PSL$C_KERNEL
#define IPR_MODE_EXEC PSL$C_EXEC
#define IPR_MODE_SUPER PSL$C_SUPER
#define IPR_MODE_USER PSL$C_USER
#define IPR_MODE_INTERRUPT 4
#define IPR_MODE_IDLE 5
#define IPR_MODE_COUNT 6

#endif // ifdef __VMS
#endif // ifndef __IPR_API_BASE_DEFS_VMS_LOADED
