#ifndef __INTS_LOADED
#define __INTS_LOADED 1

/*
 *  <ints.h> - Definitions for platform specific integer types
 *
 *
 *  Copyright (c) 1993 by Digital Equipment Corporation.  All rights reserved.
 *
 *  DEC C for OpenVMS VAX and OpenVMS AXP
 *  DEC C++ for OpenVMS VAX and OpenVMS AXP
 */

#ifdef __cplusplus
    extern "C" {
#endif

typedef signed char             int8;
typedef unsigned char           uint8;

//#if defined(__DECC) || (defined(__DECCXX) && defined(__ALPHA))
//typedef signed __int16                int16;
//typedef unsigned __int16      uint16;

#if defined(__ALPHA)
    typedef signed int          int32;
    typedef unsigned int        uint32;
    typedef signed __int64      int64;
    typedef unsigned __int64    uint64;
    typedef unsigned int        uint;
#endif
//#endif

#ifdef __cplusplus
    }
#endif

#endif  /* __INTS_LOADED */
